#!/usr/bin/env python
# -*- coding: utf-8 -*-
#

import chemin
class Wege(object):
	def __init__(self,monde):
		self.wege=[]
		self.nodes=[]
		## lade Wege
		wege = []
		for x in monde:
			for y in x:
				if y.islink() == False:
					if y.typ == 2:
						wege.append(y.pos)

	
		# sortire wege
		## neues array initialisieren
		#--------------------
		wege2=[]
		k=0
		for j in wege:
			if j[0] > k:
				k =  j[0]
		
		n=0
		for m in wege:
			if m[1] > n:
				n = m[1]
		
		
		for each in range (0,k+1):
			wege2.append([])
			for each in range(0,n+1):
				wege2[-1].append([])
				
		## neues array füllen
		#--------------------
		
		for l in wege:
			wege2[ l[0] ][ l[1] ] = l
		
		nodes = []
		for x in range(0,len(wege2)):
			for y in range(0,len(wege2[x])):
				
				if wege2[x][y] != None:
					nodes.append([x,y]) 
		
		wege3=[]
		for x in wege2:
			for y in x:
				if y != []:
					wege3.append(y)
		
		self.wege = wege3
		self.nodes = chemin.find_nodes(wege3)
		
